SETLED(3L)

NAME
setled: setLEDcap, setLEDscr - set the caps lock and scroll lock LEDs

SYNOPSIS
void setLEDcap (n)

void setLEDscr (n)

int n;

DESCRIPTION
The setLEDcap and setLEDscr functions turn on and off the caps lock and scroll lock LEDs, respectively. If n is 1, the LED is turned on. If n is 0, the LED is turned off.

If the window is not current when the function is called, the state of the LED is remembered and automatically changed when the window is made current.

These functions also update the label area to reflect the status of the LEDs if the label is being used. The setLEDscr function will update the SCR_LOCK bit of P->state.

These functions should not be used unless the program is using the keyboard in NOTRANSLATE mode. Otherwise, the LEDs may not match the actual state of the caps lock and scroll lock keys.

SEE ALSO
keyboard(3R).